Bug 573158 - unreachable gateway in dhcpd.conf
unreachable gateway in dhcpd.conf
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: cobbler (Show other bugs)
12
i686 Linux
low Severity medium
: ---
: ---
Assigned To: John Eckersberg
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-03-12 21:11 EST by Stijn Tintel
Modified: 2010-12-03 12:28 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 12:28:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stijn Tintel 2010-03-12 21:11:46 EST
User-Agent:       Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.9.1.8) Gecko/20100304 Gentoo Firefox/3.5.8

When I create a system in cobbler and specify a gateway, cobbler will put that gateway the dhcpd config, even when the gateway is outside of the DHCP subnet.

Because of this, Anaconda fails to configure the NIC with DHCP, and you have to enter the IP information manually. This blocks autoinstalls.

Reproducible: Always

Steps to Reproduce:
1. Add a new system to cobbler with a default gateway outside of the Cobbler DHCP subnet
2. run "cobbler sync"
(3. boot the system you just added)
Actual Results:  
Cobbler puts the gateway in every host definition in /etc/dhcpd.conf
(Anaconda asks IP information during install because DHCP fails)

Expected Results:  
Cobbler should verify if the default gateway is within the subnet of the host definition. If it's not, "option routers $iface.gateway;" should not be added.
(System is installed without interaction)

[root@booter ~]# cobbler system report --name=mail.be.tintel.eu
Name                           : mail.be.tintel.eu
Comment                        : 
Gateway                        : 62.213.196.65
Hostname                       : mail.be.tintel.eu
Image                          : 
Kernel Options                 : {}
Kernel Options (Post Install)  : {}
Kickstart                      : <<inherit>>
Kickstart Metadata             : {}
Management Classes             : []
Name Servers                   : []
Name Servers Search Path       : []
Netboot Enabled                : True
Owners                         : ['admin']
Power Management Address       : 
Power ID                       : 
Power Password                 : 
Power Management Type          : virsh
Power Username                 : 
Profile                        : centos54-zimbra
Red Hat Management Key         : <<inherit>>
Red Hat Management Server      : <<inherit>>
Server Override                : <<inherit>>
Template Files                 : {}
Virt Auto Boot                 : <<inherit>>
Virt CPUs                      : <<inherit>>
Virt File Size(GB)             : <<inherit>>
Virt Path                      : <<inherit>>
Virt RAM (MB)                  : <<inherit>>
Virt Type                      : <<inherit>>
Interface =====                : eth2
Bonding Mode                   : 
Bonding Master                 : 
Bonding Opts                   : 
DHCP Tag                       : 
DNS Name                       : 
IP Address                     : 
MAC Address                    : 52:54:00:21:df:34
Static                         : False
Static Routes                  : []
Subnet                         : 
Virt Bridge                    : virbr3
Interface =====                : eth1
Bonding Mode                   : 
Bonding Master                 : 
Bonding Opts                   : 
DHCP Tag                       : 
DNS Name                       : 
IP Address                     : 10.66.25.1
MAC Address                    : 52:54:00:6f:bb:00
Static                         : True
Static Routes                  : []
Subnet                         : 255.255.0.0
Virt Bridge                    : virbr1
Interface =====                : eth0
Bonding Mode                   : 
Bonding Master                 : 
Bonding Opts                   : 
DHCP Tag                       : 
DNS Name                       : 
IP Address                     : 62.213.196.88
MAC Address                    : 52:54:00:0d:37:2e
Static                         : True
Static Routes                  : []
Subnet                         : 255.255.255.224
Virt Bridge                    : vbr0


[root@booter ~]# cat /etc/dhcp/dhcpd.conf 
# ******************************************************************
# Cobbler managed dhcpd.conf file
# generated from cobbler dhcp.conf template (Fri Mar 12 07:43:10 2010)
# Do NOT make changes to /etc/dhcpd.conf. Instead, make your changes
# in /etc/cobbler/dhcp.template, as /etc/dhcpd.conf will be
# overwritten.
# ******************************************************************

ddns-update-style interim;

allow booting;
allow bootp;

ignore client-updates;
set vendorclass = option vendor-class-identifier;

subnet 172.31.0.0 netmask 255.255.255.0 {
     option routers             172.31.0.5;
     option domain-name-servers 172.31.0.2;
     option subnet-mask         255.255.255.0;
     range dynamic-bootp        172.31.0.200 172.31.0.254;
     filename                   "/pxelinux.0";
     default-lease-time         21600;
     max-lease-time             43200;
     next-server                172.31.0.2;
}

# group for Cobbler DHCP tag: default
group {
    host generic2 {
        hardware ethernet 52:54:00:6f:bb:00;
        fixed-address 10.66.25.1;
        option host-name "mail.be.tintel.eu";
        option subnet-mask 255.255.0.0;
        option routers 62.213.196.65;
        filename "/pxelinux.0";
        next-server 172.31.0.2;
    }
    host generic1 {
        hardware ethernet 52:54:00:21:df:34;
        option host-name "mail.be.tintel.eu";
        option routers 62.213.196.65;
        filename "/pxelinux.0";
        next-server 172.31.0.2;
    }
    host generic3 {
        hardware ethernet 52:54:00:0d:37:2e;
        fixed-address 62.213.196.88;
        option host-name "mail.be.tintel.eu";
        option subnet-mask 255.255.255.224;
        option routers 62.213.196.65;
        filename "/pxelinux.0";
        next-server 172.31.0.2;
    }
}
Comment 1 Bug Zapper 2010-11-03 15:57:39 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2010-12-03 12:28:10 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.